import { expect, test } from "vitest";
import * as languages from "../src/languages";

test("Languages", () => {
  const languageNames = Object.keys(languages);

  // @ts-expect-error
  expect(languages.default).toBeUndefined();
  expect(languageNames.length).toMatchInlineSnapshot("192");
  expect(languageNames).toMatchInlineSnapshot(`
    [
      "_1c",
      "abnf",
      "accesslog",
      "actionscript",
      "ada",
      "angelscript",
      "apache",
      "applescript",
      "arcade",
      "arduino",
      "armasm",
      "xml",
      "asciidoc",
      "aspectj",
      "autohotkey",
      "autoit",
      "avrasm",
      "awk",
      "axapta",
      "bash",
      "basic",
      "bnf",
      "brainfuck",
      "c",
      "cal",
      "capnproto",
      "ceylon",
      "clean",
      "clojure",
      "clojureRepl",
      "cmake",
      "coffeescript",
      "coq",
      "cos",
      "cpp",
      "crmsh",
      "crystal",
      "csharp",
      "csp",
      "css",
      "d",
      "markdown",
      "dart",
      "delphi",
      "diff",
      "django",
      "dns",
      "dockerfile",
      "dos",
      "dsconfig",
      "dts",
      "dust",
      "ebnf",
      "elixir",
      "elm",
      "ruby",
      "erb",
      "erlangRepl",
      "erlang",
      "excel",
      "fix",
      "flix",
      "fortran",
      "fsharp",
      "gams",
      "gauss",
      "gcode",
      "gherkin",
      "glsl",
      "gml",
      "go",
      "golo",
      "gradle",
      "graphql",
      "groovy",
      "haml",
      "handlebars",
      "haskell",
      "haxe",
      "hsp",
      "http",
      "hy",
      "inform7",
      "ini",
      "irpf90",
      "isbl",
      "java",
      "javascript",
      "jbossCli",
      "json",
      "julia",
      "juliaRepl",
      "kotlin",
      "lasso",
      "latex",
      "ldif",
      "leaf",
      "less",
      "lisp",
      "livecodeserver",
      "livescript",
      "llvm",
      "lsl",
      "lua",
      "makefile",
      "mathematica",
      "matlab",
      "maxima",
      "mel",
      "mercury",
      "mipsasm",
      "mizar",
      "perl",
      "mojolicious",
      "monkey",
      "moonscript",
      "n1ql",
      "nestedtext",
      "nginx",
      "nim",
      "nix",
      "nodeRepl",
      "nsis",
      "objectivec",
      "ocaml",
      "openscad",
      "oxygene",
      "parser3",
      "pf",
      "pgsql",
      "php",
      "phpTemplate",
      "plaintext",
      "pony",
      "powershell",
      "processing",
      "profile",
      "prolog",
      "properties",
      "protobuf",
      "puppet",
      "purebasic",
      "python",
      "pythonRepl",
      "q",
      "qml",
      "r",
      "reasonml",
      "rib",
      "roboconf",
      "routeros",
      "rsl",
      "ruleslanguage",
      "rust",
      "sas",
      "scala",
      "scheme",
      "scilab",
      "scss",
      "shell",
      "smali",
      "smalltalk",
      "sml",
      "sqf",
      "sql",
      "stan",
      "stata",
      "step21",
      "stylus",
      "subunit",
      "swift",
      "taggerscript",
      "yaml",
      "tap",
      "tcl",
      "thrift",
      "tp",
      "twig",
      "typescript",
      "vala",
      "vbnet",
      "vbscript",
      "vbscriptHtml",
      "verilog",
      "vhdl",
      "vim",
      "wasm",
      "wren",
      "x86asm",
      "xl",
      "xquery",
      "zephir",
    ]
  `);
});
